module.exports = targets => {

    const builtins = targets.of('@magento/pwa-buildpack');

    builtins.specialFeatures.tap(flags => {
        flags[targets.name] = {
            esModules: true,
            cssModules: true,
            i18n: true
        };
    });

    targets
        .of("@swissup/pwa-core")
        .contentTypes.tap(contentTypes => {
            contentTypes.add({
                componentName: 'Highlight',
                importPath: require.resolve("../lib/components/Highlight/index.js")
            });
        });

    // 8.0.0 integration
    // targets.of("@swissup/pwa-core").imports.tap(imports => [
    //     ...imports,
    //     {
    //         // import Highlight from ../lib/components/Highlight/index.js
    //         // <Highlight />
    //         fileToTransform: '@magento/venia-ui/lib/RootComponents/CMS/cms',
    //         name: `Highlight`,
    //         importPath: require.resolve("../lib/components/Highlight/index.js"),
    //         lazyImport: false
    //     }
    // ]);
}
